This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Re: emacs-w32 not starting - missing dependency?

On 20/08/2016 04:52, Ken Brown wrote:
On 8/19/2016 4:03 PM, Ken Brown wrote:
On 8/19/2016 11:22 AM, Ken Brown wrote:
On 8/19/2016 9:55 AM, Ken Brown wrote:
On 8/19/2016 6:27 AM, Peter Hull wrote:
Hi all,

The problem turns out to be related to the recent update of libgd3.
Reverting to the previous version fixes it.

Notice that cygMagickCore-6.Q16-2.dll, which occurs in the error dialog
above, depends on cyggd-3.dll:

$ cygcheck /usr/bin/cygMagickCore-6.Q16-2.dll | grep cyggd-3

Marco, is it possible that the libgd3 update requires a rebuild of

Or maybe the issue is that the latest build of gd should have had an ABI
bump.  Volker?


It seems more a libgd3 build problem.
Specially if it happens only on 32bit and not on 64bit.

The removal of an interface requires a ABI bump at upstream level,
but that it will happen for both arch versions.


Problem reports:
Unsubscribe info:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]